import 'package:fis_measure/process/workspace/rpc_bridge.dart';
import 'package:get/get.dart';

class MeasurehomeState {
  final Rx<String> _applicationName = Rx('');
  final Rx<String> _categoryName = Rx('');
  final Rx<String> _version = Rx('');
  final Rx<bool> _loaded = Rx(false);
  final Rx<VidImageSource> _source = Rx(VidImageSource.Remedical);

  /// vid应用
  set applicationName(String value) => _applicationName.value = value;
  String get applicationName => _applicationName.value;

  /// vid应用分类名称
  set categoryName(String value) => _categoryName.value = value;
  String get categoryName => _categoryName.value;

  /// 当前vid测量的版本号
  set version(String value) => _version.value = value;
  String get version => _version.value;

  /// 图片load
  set loaded(bool value) => _loaded.value = value;
  bool get loaded => _loaded.value;

  ///图像来源（会诊or分时诊断）
  VidImageSource get source => _source.value;
  set source(VidImageSource v) => _source.value = v;
}
